# triggeringpolicy.h File Reference

## Namespaces

namespace | log4cxx
namespace | log4cxx::rolling

## Classes

class | TriggeringPolicy
| A `TriggeringPolicy` controls the conditions under which rollover occurs. More...

## Defines

#define | _LOG4CXX_ROLLING_TRIGGER_POLICY_H

## Functions

| log4cxx::rolling::LOG4CXX_PTR_DEF (TriggeringPolicy)

## Define Documentation

#define _LOG4CXX_ROLLING_TRIGGER_POLICY_H